import React from 'react';
import { Card, Typography, Alert, Row, Col } from 'antd';
import { FormattedMessage } from 'umi-plugin-react/locale';
import EchartsTest from '../components/EchartsTest';
import IndexEcharts from './indexEcharts/index';
import router from 'umi/router';

const option = {
  xAxis: {
    type: 'category',
    data: ['Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat', 'Sun']
  },
  yAxis: {
    type: 'value'
  },
  series: [{
    data: [820, 932, 901, 934, 1290, 1330, 1320],
    type: 'line'
  }]
};

export default () => (
  <>
    <div style={{ display: 'flex',marginBottom:'28px' }}>
      <div style={{
        textAlign: 'center', display: 'flex', justifyContent: 'center', lineHeight: '100px', background: 'linear-gradient(144deg,rgba(241,43,62,1) 0%,rgba(254,144,155,1) 100%)', height: '100px',
        boxShadow: '0px  0.11rem 14px -15px rgba(241,43,62,1)',
        borderRadius: '12px', width: '32%', marginRight: '2%'
      }}>
        <span style={{ fontSize: '24px', color: '#fff' }}>总用户 </span>
        <span style={{ fontSize: '52px', color: '#fff', marginLeft: '26px', fontFamily: 'fantasy' }}>133</span>
      </div>
      <div style={{
        textAlign: 'center', display: 'flex', justifyContent: 'center', lineHeight: '100px', background: 'linear-gradient(144deg,rgba(255,126,74,1) 0%,rgba(255,196,168,1) 100%)', height: '100px',
        boxShadow: '0px  0.11rem 14px -15px rgba(255,126,74,1)',
        borderRadius: '12px', width: '32%', marginRight: '2%'
      }}>
        <span style={{ fontSize: '24px', color: '#fff' }}>总注册用户 </span>
        <span style={{ fontSize: '52px', color: '#fff', marginLeft: '26px', fontFamily: 'fantasy' }}>12</span>
      </div>
      <div onClick={()=>router.push('/indexEcharts/newUsers')} style={{
        textAlign: 'center', display: 'flex', justifyContent: 'center', background: 'linear-gradient(137deg,rgba(107,130,230,1) 0%,rgba(152,175,251,1) 100%)', height: '100px',
        boxShadow: '0px  0.11rem 14px -15px rgba(107,130,230,1)',
        borderRadius: '12px', width: '32%',
      }}>
        <span style={{ fontSize: '24px', color: '#fff',borderBottom:'1px solid #fff',margin:'30px 0' }}>最近7天新增 </span>
        <span style={{ fontSize: '52px', color: '#fff', marginLeft: '26px', fontFamily: 'fantasy', lineHeight: '100px' }}>91</span>
      </div>
    </div>
    <IndexEcharts style={{ width: '100%'}}></IndexEcharts>

    {/* <EchartsTest style={{ width: 500, height: 500 }}></EchartsTest> */}

  </>
);

