import React, { Component, useState, useEffect } from 'react';
import { Radio, DatePicker, Form, Input, Button, Icon, Select, message, Table } from 'antd';
import { Row, Col, Menu, Dropdown } from 'antd';
import UserBehavior from './components/UserBehavior'
import moment from 'moment';
import EChart from '../../components/EchartsTest/EChart';
import request from '../../utils/request';
import apis from '../../services/apis';
import BuildSelect from '../../components/SelectButton/BuildSelect'

// const formatDate = (start, end) => {
//   const startDate = moment(start).format('YYYY-MM-DDT00:00:00.000') + 'Z'
//   const endDate = moment(end).format('YYYY-MM-DDT23:59:59.999') + 'Z'
//   return { startDate, endDate }
// }

const header = props => {

  const [tableData, setTableData] = useState({ records: [] })

  const [endDate, setEndDate] = useState({})
  const [startDate, setStartDate] = useState({})
  let daterange = []

  useEffect(() => {

    setEndDate(new Date())
    setStartDate(moment().subtract(7, 'day').toDate())

  }, [])

  const { RangePicker } = DatePicker;

  function onChangetime(dates, dateStrings) {

    daterange[1] = dateStrings[1]
    daterange[0] = dateStrings[0]

  }

  const getDataOf = (days) => () => {

    setEndDate(new Date())
    setStartDate(moment().subtract(days, 'day').toDate())

  }


  function datalist() {

    setEndDate(daterange[1])
    setStartDate(daterange[0])

  }

  function redata(e) {


    console.log('行为回调数据：', e)
  }
  function handleChange(value) {
    console.log(`selected ${value}`);
  }

  const columns = [
    {
      title: '访问事件',
      dataIndex: 'personName',
      key: 'personName',
      width: '20%',
    },
    {
      title: '访问用户',
      dataIndex: 'phone',
      key: 'phone',
      width: '20%',
    },
    {
      title: '访问次数',
      dataIndex: 'buildingName',
      key: 'buildingName',
      width: '20%',
    },
    {
      title: '首次访问时间',
      dataIndex: 'intention',
      key: 'intention',
      width: '20%',
    },
    {
      title: '离开时间',
      dataIndex: 'stion',
      key: 'stion',

    },
  ];

  const dataSource = []

  return (<>
    <div style={{
      backgroundColor: '#fff',
      padding: '32PX 28px',
      boxShadow: '0px 0px 16px 2px rgba(0,0,0,0.12)',
      borderRadius: '12px',
      minHeight: '1000vh'
    }}>
    <div>
    <Radio.Group buttonStyle="solid" defaultValue="a">
        <Radio.Button value="a" onClick={getDataOf(7)}>最近7天</Radio.Button>
        <Radio.Button value="b" onClick={getDataOf(30)}>最近1月</Radio.Button>
      </Radio.Group>
      <RangePicker
        style={{ paddingLeft: '30px' }}
        ranges={{
          Today: [moment(), moment()],
          'This Month': [moment().startOf('month'), moment().endOf('month')],
        }}
        showTime
        onChange={onChangetime}
      />
      <Button type="primary" htmlType="submit" style={{ marginLeft: '30px',float:'right' }} onClick={datalist}>
        搜索
      </Button>
    </div>
     
      <div style={{ display: 'flex', margin: '24px 0' }}>
      <BuildSelect slot='action' onChange={(e => handleBuildingChange(e))}></BuildSelect>
        <Select placeholder="所有事件组" style={{ width: '14%',minWidth:'160px',marginRight:'2%' }} onChange={handleChange}>
          <Option value="jack">Jack</Option>
          <Option value="lucy">Lucy</Option>
          <Option value="Yiminghe">yiminghe</Option>
        </Select>
        <Select placeholder="请选择事件" style={{ width: '14%',minWidth:'160px',marginRight:'2%' }} onChange={handleChange}>
          <Option value="jack">Jack</Option>
          <Option value="lucy">Lucy</Option>
          <Option value="Yiminghe">yiminghe</Option>
        </Select>
        <Select placeholder="请选择属性" style={{ width: '14%',minWidth:'160px' }} onChange={handleChange}>
          <Option value="jack">Jack</Option>
          <Option value="lucy">Lucy</Option>
          <Option value="Yiminghe">yiminghe</Option>
        </Select>
      </div>
      
      
      <div style={{ margin: '24px 0' }}>
        <UserBehavior BuildSelectHide={true} endDate={endDate} startDate={startDate} dataZoom={true} onReData={(e) => redata(e)}></UserBehavior>
      </div>

      <Table dataSource={dataSource} columns={columns} pagination={false} scroll={{ y: 500 }} />
    </div>
  </>
  )
}
export default header