const prefix = '/api/admin'

export default {
  image: {
    uploadForAnt: {
      url: `${prefix}/antd/image`,
      method: 'POST',
      action: 'upload',
    },
    upload: {
      url: `${prefix}/image`,
      method: 'POST',
      action: 'upload',
    },
  },
  user: {
    current: {
      method: 'GET',
      url: `${prefix}/taUser/current`,
      action: 'admin.taUser.current.get',
    },
    signin: {
      method: 'POST',
      url: `${prefix}/taUser/signin`,
      login: true,
      action: 'admin.taUser.signin.post',
    },
    signout: {
      method: 'POST',
      url: `${prefix}/taUser/signout`,
      logout: true,
      action: 'signout',
    },
  },
  building: {
    getList: {
      method: 'GET',
      url: `${prefix}/buildinglist`,
      action: 'admin.buildinglist.get',
    },
    updateStatus: {
      method: 'PUT',
      url: `${prefix}/building/update/status`,
      action: 'admin.building.update.status.put',
    },
    addBuilding: {
      method: 'POST',
      url: `${prefix}/building/add`,
      action: 'admin.building.add.post',
    },
    updateBuilding: {
      method: 'PUT',
      url: `${prefix}/building/update`,
      action: 'admin.building.update.put',
    },
    buildingGetById: {
      method: 'GET',
      url: `${prefix}/buildingSelectId/id`,
      action: 'admin.buildingSelectId.id.get',
    },
    deleteBuilding: {
      method: 'DELETE',
      url: `${prefix}/building/delete/id`,
      action: 'admin.building.delete.id.delete',
    },
    buildingApartment: {
      method: 'GET',
      url: `${prefix}/buildingApartment/buildingId/id`,
      action: 'admin.buildingApartment.buildingId.id.get',
    },
    buildingApartmentGetById: {
      method: 'GET',
      url: `${prefix}/buildingApartment/id`,
      action: 'admin.buildingApartment.id.get',
    },
    buildingApartmentUpdate: {
      method: 'PUT',
      url: `${prefix}/buildingApartment/update`,
      action: 'admin.buildingApartment.update.put',
    },
    buildingApartmentAdd: {
      method: 'POST',
      url: `${prefix}/buildingApartment/add`,
      action: 'admin.buildingApartment.add.post',
    },
    buildingApartmentDelete: {
      method: 'DELETE',
      url: `${prefix}/apartment/deleted/id`,
      action: 'admin.apartment.deleted.id.delete',
    },
    buildingSelect: {
      url: `${prefix}/buildinglist/select`,
      method: 'GET',
      action: 'select',
    }
  },
  buildingType: {
    getList: {
      method: 'GET',
      url: `${prefix}/tdBuildingType`,
      action: 'admin.tdBuildingType.get',
    },
    delete: {
      method: 'DELETE',
      url: `${prefix}/tdBuildingType/id`,
      action: 'admin.tdBuildingType.id.delete',
    },
    update: {
      method: 'PUT',
      url: `${prefix}/tdBuildingType/id`,
      action: 'admin.tdBuildingType.id.put',
    },
    add: {
      method: 'POST',
      url: `${prefix}/tdBuildingType`,
      action: 'admin.tdBuildingType.post',
    },
    getById: {
      method: 'GET',
      url: `${prefix}/tdBuildingType/id`,
      action: 'admin.tdBuildingType.id.get',
    },
  },
  news: {
    getList: {
      method: 'GET',
      url: `${prefix}/taNews`,
      action: 'admin.taNews.get',
    },
    delete: {
        method: 'DELETE',
        url: `${prefix}/taNews/:id`,
        action: 'admin.taNews.id.delete',
    },
    cancel: {
        method: 'PUT',
        url: `${prefix}/taNews/:id`,
        action: 'admin.taNews.id.put',
    },
  },
  newsType: {
    list: {
        method: 'GET',
        url: `${prefix}/taNewsType`,
        action: 'admin.taNewsType.get',
      },
    delete: {
        method: 'DELETE',
        url: `${prefix}/taNewsType/:id`,
        action: 'admin.taNewsType.id.delete',
    },
  },
  customer: {
    drift: {
      method: 'GET',
      url: `${prefix}/customer/recommend/drift`,
      action: 'admin.customer.recommend.drift.get',
    },
    report: {
      method: 'GET',
      url: `${prefix}/customer/recommend/report`,
      action: 'admin.customer.recommend.report.get',
    },
    recommender: {
      method: 'GET',
      url: `${prefix}/customer/recommend/recommender`,
      action: 'admin.customer.recommend.recommender.get',
    },
    auto: {
      method: 'PUT',
      url: `${prefix}/customer/recommend/verify/id`,
      action: 'admin.customer.recommend.verify.id.put',
    },
    recommendGetById: {
      method: 'GET',
      url: `${prefix}/customer/recommend/getById/id`,
      action: 'admin.customer.recommend.getById.id.get',
    },
    agents: {
      method: 'GET',
      url: `${prefix}/customer/agents`,
      action: 'admin.customer.agents.get',
    },
    customerRecommend: {
      method: 'GET',
      url: `${prefix}/customer/recommend`,
      action: 'admin.customer.recommend.get',
    },
    consultant: {
      method: 'GET',
      url: `${prefix}/consultant`,
      action: 'admin.consultant.get',
    },
    recommendEdit: {
      method: 'PUT',
      url: `${prefix}/customer/recommend/edit/id`,
      action: 'admin.customer.recommend.edit.id.put',
    },
    taPointsRecords: {
      method: 'GET',
      url: `${prefix}/mine/taPointsRecords/id`,
      action: 'admin.mine.taPointsRecords.id.get',
    },
    recommend: {
      method: 'GET',
      url: `${prefix}/customer/recommend/id`,
      action: 'admin.customer.recommend.id.get',
    },
    InviteClientsList: {
      method: 'GET',
      url: `${prefix}/channel/InviteClientsList`,
      action: 'admin.channel.InviteClientsList.get',
    },
    CustomerRecommendGet: {
      method: 'GET',
      url: `${prefix}/customer/recommend/get/id`,
      action: 'admin.customer.recommend.get.id.get',
    },
    customerRecommendRecommenderExport: { // 导出数据（推荐客户）
      method: 'GET',
      url: `${prefix}/customer/recommend/recommender/export`,
      action: 'admin.customer.recommend.recommender.export.get',
    },
  },
  indexEcharts: {
    userResource: {
      method: 'GET',
      url: `${prefix}/selectUserResource`,
      action: 'userStatistics',
    },
    userBehavior: {
      summary: {
        method: 'GET',
        url: `${prefix}/selectUserBehavior`,
        action: 'userBehaviorStatistics',
      },
      profile: {
        method: 'GET',
        url: `${prefix}/selectEventAll`,
        action: 'behaviorIncident',
      },
    },
    userActive: {
      method: 'GET',
      url: `${prefix}/selectActiveUserCount`,
      action: 'selectActiveUserCount',
    },
    userSex: {
      method: 'GET',
      url: `${prefix}/selectSexUser`,
      action: 'selectSexUser',
    },
    newUser: {
      method: 'GET',
      url: `${prefix}/selectNewsUserCount`,
      action: 'selectNewsUserCount',
    },
    userConversion: {
      method: 'GET',
      url: `${prefix}/selectConversion`,
      action: 'selectConversion',
    },
    intentionUsers: {
      method: 'GET',
      url: `${prefix}/selectIntentionUser`,
      action: 'selectIntentionUser',
    },
    userCity: {
      method: 'get',
      url: `${prefix}/selectCityUser`,
      action: 'admin.selectCityUser.get',
    },

  },
  activity: {
      list: {
        method: 'GET',
        url: `${prefix}/iBuildingDynamicList`,
        action: 'admin.iBuildingDynamicList.get',
      },
      weight: {
        method: 'PUT',
        url: `${prefix}/buildingDynamic/weight`,
        action: 'admin.buildingDynamic.weight.put',
      },
      cancel: {
        method: 'PUT',
        url: `${prefix}/buildingDynamic/cancel/:id`,
        action: 'admin.buildingDynamic.cancel.dynamicId.put',
      },
      send: {
        url: `${prefix}/buildingDynamic/send/:id`,
        method: 'PUT',
        action: 'admin.buildingDynamic.send.dynamicId.put',
      },
      finish: {
        url: `${prefix}/buildingDynamic/finish`,
        method: 'PUT',
        action: 'admin.buildingDynamic.finish.put',
      },
      details: {
        url: `${prefix}/buildingDynamic/Details`,
        method: 'GET',
        action: 'admin.buildingDynamic.Details.get',
      },
      update: {
        url: `${prefix}/buildingDynamic/update`,
        method: 'PUT',
        action: 'admin.buildingDynamic.update.put',
      },
      add: {
        url: `${prefix}/buildingDynamic/add`,
        method: 'POST',
        action: 'admin.buildingDynamic.add.post',
      },
      poster: {
        url: `${prefix}/poster`,
        method: 'GET',
        action: 'admin.poster.get',
      },
      updatePoster: {
        url: `${prefix}/poster/:id`,
        method: 'PUT',
        action: 'admin.poster.id.put',
      },
      addPoster: {
        url: `${prefix}/poster`,
        method: 'POST',
        action: 'admin.poster.post',
      },
      shareContent: {
        url: `${prefix}/shareContent`,
        method: 'GET',
        action: 'admin.shareContent.get',
      },
      updateShareContent: {
        url: `${prefix}/shareContent/:id`,
        method: 'PUT',
        action: 'admin.shareContent.id.put',
      },
      addShareContent: {
        url: `${prefix}/shareContent`,
        method: 'POST',
        action: 'admin.shareContent.post',
      },
      signList: {
        url: `${prefix}/SignList`,
        method: 'GET',
        action: 'admin.SignList.get',
      }
  },
  integralMall: {
    tdPointsRules: {
      url: `${prefix}/tdPointsRules`,
      method: 'GET',
      action: 'admin.tdPointsRules.get',
    },
    change: {
      url: `${prefix}/tdPointsRules/change`,
      method: 'PUT',
      action: 'admin.tdPointsRules.change.put',
    },
    taGoods: {
      url: `${prefix}/taGoods/:id`,
      method: 'GET',
      action: 'admin.taGoods.id.get',
    },
    updateTaGoods: {
      url: `${prefix}/taGoods`,
      method: 'PUT',
      action: 'admin.taGoods.put',
    },
    addTaGoods: {
      url: `${prefix}/taGoods/add`,
      method: 'POST',
      action: 'admin.taGoods.add.post',
    },
    taPointsExchange: {
      url: `${prefix}/taPointsExchange`,
      method: 'GET',
      action: 'admin.taPointsExchange.get',
    },
    getTaGoods: {
      url: `${prefix}/taGoods`,
      method: 'GET',
      action: 'admin.taGoods.get',
    },
    changeTaGoods: {
      url: `${prefix}/taGoods/change`,
      method: 'PUT',
      action: 'admin.taGoods.change.put',
    },
    changeTaPointsExchange: {
      url: `${prefix}/taPointsExchange/change`,
      method: 'PUT',
      action: 'admin.taPointsExchange.change.put',
    },
  },
  carsuseFigure: {
    extendContent: {
      url: `${prefix}/extendContent`,
      method: 'GET',
      action: 'admin.extendContent.get',
    },
    finish: {
      url: `${prefix}/buildingDynamic/finish`,
      method: 'PUT',
      action: 'admin.buildingDynamic.finish.put',
    },
    updataExtendContent: {
      url: `${prefix}/extendContent/:id`,
      method: 'PUT',
      action: 'admin.extendContent.id.put',
    },
    getExtendContent: {
      url: `${prefix}/extendContent/:id`,
      method: 'GET',
      action: 'admin.extendContent.id.get',
    },
    addExtendContent: {
      url: `${prefix}/extendContent`,
      method: 'POST',
      action: 'admin.extendContent.post',
    },
  },
  system: {
    taPolicy: {
      url: `${prefix}/taPolicy/:id`,
      method: 'GET',
      action: 'admin.taPolicy.id.get',
    },
    updateTaPolicy: {
      url: `${prefix}/taPolicy/:id`,
      method: 'PUT',
      action: 'admin.taPolicy.id.put',
    },
    addTaPolicy: {
      url: `${prefix}/taPolicy`,
      method: 'POST',
      action: 'admin.taPolicy.post',
    },
    getTaPolicy: {
      url: `${prefix}/taPolicy`,
      method: 'GET',
      action: 'admin.taPolicy.get',
    },
    deleteTaPolicy: {
      url: `${prefix}/taPolicy/:id`,
      method: 'DELETE',
      action: 'admin.taPolicy.id.delete',
    },
    tdBizEventIntention: {
      url: `${prefix}/tdBizEventIntention`,
      method: 'GET',
      action: 'admin.tdBizEventIntention.get',
    },
    taBuildingIntentionAddOrUpdate: {
      url: `${prefix}/taBuildingIntentionAddOrUpdate/:id`,
      method: 'POST',
      action: 'admin.taBuildingIntentionAddOrUpdate.buildingId.post',
    },
    taCustomerMessage: {
      url: `${prefix}/taCustomerMessage`,
      method: 'GET',
      action: 'admin.taCustomerMessage.get',
    },
    tdReports: {
      url: `${prefix}/tdReports`,
      method: 'GET',
      action: 'admin.tdReports.get',
    },
    taBuildingReports: {
      url: `${prefix}/taBuildingReports`,
      method: 'GET',
      action: 'admin.taBuildingReports.get',
    },
    addTaBuildingReports: {
      url: `${prefix}/taBuildingReport/add`,
      method: 'POST',
      action: 'admin.taBuildingReport.add.post',
    },
  },
  staff: {
    taUser: {
      url: `${prefix}/taUser`,
      method: 'GET',
      action: 'admin.taUser.get',
    },
    taTags: {
      url: `${prefix}/taTags`,
      method: 'GET',
      action: 'admin.taTags.get',
    },
    getTaUser: {
      url: `${prefix}/taUser/:id`,
      method: 'GET',
      action: 'admin.taUser.id.get',
    },
    updateTaUser: {
      url: `${prefix}/taUser/:id`,
      method: 'PUT',
      action: 'admin.taUser.id.put',
    },
    addTaUser: {
      url: `${prefix}/taUser`,
      method: 'POST',
      action: 'admin.taUser.post',
    },
    change: {
      url: `${prefix}/turn/taUser/:id/:type`,
      method: 'PUT',
      action: 'admin.turn.taUser.put',  
    },
  },
  channelList: {
    getList: {
      url: `${prefix}/channel`,
      method: 'GET',
      action: 'admin.channel.get',
    },
    addChannel: {
      url: `${prefix}/channel`,
      method: 'POST',
      action: 'admin.channel.post',
    },
    getById: {
      url: `${prefix}/channel/:id`,
      method: 'GET',
      action: 'admin.channel.id.get',
    },
    editChannel: {
      url: `${prefix}/channel/:id`,
      method: 'PUT',
      action: 'admin.channel.id.put',
    },
    getListBroker: {
      url: `${prefix}/channel/broker`,
      method: 'GET',
      action: 'admin.channel.broker.get',
    },
    getListRecommend: {
      url: `${prefix}/customer/recommend/:id`,
      method: 'GET',
      action: 'admin.customer.recommend.id.get',
    },
    getListInvite: {
      url: `${prefix}/channel/InviteClientsList`,
      method: 'GET',
      action: 'admin.InviteClientsList.get',
    },
 },
 role: {
  getRoleList: {
    url: `${prefix}/taRole`,
    method: 'GET',
    action: 'admin.taRole.get',
  },
  stop: {
    url: `${prefix}/taRole/stop/:id`,
    method: 'PUT',
    action: 'admin.taRole.stop.id.PUT',
  },
  menuList: {
    url: `${prefix}/menuList`,
    method: 'GET',
    action: 'admin.menuList.get',
  },
  buttonList: {
    url: `${prefix}/buttonList`,
    method: 'GET',
    action: 'admin.buttonList.get',
  },
  buttonAndMenuList: {
    url: `${prefix}/taRole/details/:id`,
    method: 'GET',
    action: 'admin.taRole.details.id.get'
  },
  updateAuthMenu: {
    url: `${prefix}/updateAuthMenu`,
    method: 'POST',
    action: 'admin.updateAuthMenu.post',
  },
 },
}
